Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 234458 - JIS2004 support in Pango
Summary: JIS2004 support in Pango
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: pango
Version: 5.0
Hardware: All
OS: Linux
high
medium
Target Milestone: ---
: ---
Assignee: Behdad Esfahbod
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-29 13:15 UTC by Akira TAGOH
Modified: 2013-01-10 21:45 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-06-08 19:31:19 UTC


Attachments (Terms of Use)

Description Akira TAGOH 2007-03-29 13:15:29 UTC
Description of problem:
I'm not sure if freetype or HarfBuzz supports to reflect the feature tags to
GSUB/GPOS tables, which is defined in OpenType Layout tag registry, but that
feature is required to support JIS2004 and the way to switch them in Pango as well.
Speaking of particular requirements, it is 'jp04' feature tag

http://www.microsoft.com/typography/otspec/features_fj.htm#jp04

Also, I suppose applications may needs to support toggling feature. we may want
to clone this bug to the proper components then.

Comment 1 Behdad Esfahbod 2007-04-02 18:08:15 UTC
This needs some major work in Pango.  HarfBuzz supports all needed features for
this.  Please file upstream with as much information as you can provide.  That
is, which fonts to test this with, current and expected output, and how should
this feature be trigerred?  Under a certain locale?  etc...

Comment 2 Akira TAGOH 2007-04-02 23:52:05 UTC
Sure.  As we talked on IRC, I don't think we can provide a certain font to check
for this, because no free JIS2004 fonts are available so far. and AFAIK that
Ricoh fonts and the fonts in Vista does support this right now.

So I'll try to make a test font having this feature and open a bug on upstream then.

Comment 3 Akira TAGOH 2007-04-09 05:01:52 UTC
After some investigation how Vista supports JIS2004 in their fonts, I see they
actually don't use jp04 feature tag anywhere.  Their fonts has already been
based on JIS2004 and there seems to be jp90 feature tag to switch back them to
JIS90-wise. which is actually undocumented behavior..

Comment 4 RHEL Product and Program Management 2007-04-25 20:16:58 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 5 Behdad Esfahbod 2007-04-26 01:08:53 UTC
I don't see this feature in 5.1 timeframe.

Comment 6 Matthias Clasen 2007-06-08 19:28:48 UTC
Set dev-nack based on Behdads latest comment

Comment 7 RHEL Product and Program Management 2007-06-08 19:31:19 UTC
Development Management has reviewed and declined this request.  You may appeal
this decision by reopening this request. 


Note You need to log in before you can comment on or make changes to this bug.